Subject: bug#52652: FreeCAD requires write access to store for parsetab.py

From: Jacob Hrbek <[email-masked]>
Date: Fri, 31 Dec 2021 13:26:01 +0000

I started building it after the patch was merged, it finished now and
the presented issue is no longer present.

On 12/31/21 11:44, Guillaume Le Vaillant wrote:
> Hi,
>
> With Guix at b7078d5d49d72cb5e5356d698b99540612b4d6c4, I tried to
> reproduce the issue, but I didn't get any error.
>
> I started FreeCAD with:
>
> --8<---------------cut here---------------start------------->8---
> guix shell freecad openscad -- FreeCAD
> --8<---------------cut here---------------end--------------->8---
>
> Then I selected "OpenSCAD" in the box, then the "OpenSCAD -> Add
> OpenSCAD Element" menu item, then I typed "cube();", clicked "Add", and
> it created a cube without any error message (I tried with the "mesh" box
> ticked and unticked).
>
> Can you still reproduce the issue on your side?

--
-- Jacob Hrbek